Bug 1732370 - Unexpected error while performing operations on vm listed under cluster
Summary: Unexpected error while performing operations on vm listed under cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.7
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.11.0
Assignee: Hilda Stastna
QA Contact: Ganesh Hubale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks: 1740227
TreeView+ depends on / blocked
 
Reported: 2019-07-23 09:01 UTC by Ganesh Hubale
Modified: 2019-12-13 14:57 UTC (History)
6 users (show)

Fixed In Version: 5.11.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1740227 (view as bug list)
Environment:
Last Closed: 2019-12-13 14:57:04 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Ganesh Hubale 2019-07-23 09:01:38 UTC
Description of problem:


Version-Release number of selected component (if applicable):
5.10.7.1.20190712211518_68f0bf9

How reproducible:
100%

Steps to Reproduce:
1. Add infra provider(e.g. vsphere65, scvmm etc)
2. Go to provider details page
3. Click on 'Cluster' from 'Relationships' table
4. Click on cluster available and go to it's details page
5. Click on 'All VMs' from 'Relationships' table
6. Select any vm and click on options like 'Refresh Relationships and Power states' or 'perform smartstate analysis' and 'Extract running processes' from 'configuration' dropdown

Actual results:
Unexpected error encountered

Expected results:


Additional info:
- Working as expected on 5.9.9.1
- This issue is reproducible on 5.11z too
- Checked on older version of 5.10z but this issue is reproducible.

Comment 3 Hilda Stastna 2019-07-25 14:02:06 UTC
Fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/5867

Comment 6 Hilda Stastna 2019-08-05 11:21:44 UTC
Note that it is not required to go to the provider's dashboard to reproduce the bug.
After adding some infra provider, you can go directly to Compute > Infrastructure >
> Clusters/Deployment Roles and display some cluster's summary page.

Another note that the bug is reproducible if you click also on Direct VMs or All Templates
in Relationships table, in step 5 from steps to reproduce.

Comment 7 Hilda Stastna 2019-08-05 11:47:03 UTC
Fixes: https://github.com/ManageIQ/manageiq-ui-classic/pull/5936

Comment 8 CFME Bot 2019-08-06 20:21:55 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/466e62b5eef9d0b5ebbe4b4f236d270670ac615c
commit 466e62b5eef9d0b5ebbe4b4f236d270670ac615c
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Mon Aug  5 07:37:27 2019 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Mon Aug  5 07:37:27 2019 -0400

    Get record class while performing operations on VMs of chosen Cluster

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1732370

 app/controllers/application_controller/ci_processing.rb | 2 +-
 spec/controllers/application_controller/ci_processing_spec.rb | 34 +
 2 files changed, 35 insertions(+), 1 deletion(-)

Comment 9 CFME Bot 2019-08-07 22:37:32 UTC
New commit detected on ManageIQ/manageiq-ui-classic/ivanchuk:

https://github.com/ManageIQ/manageiq-ui-classic/commit/53cb3ef4bfbeefe415153bfd8ae520fc89154429
commit 53cb3ef4bfbeefe415153bfd8ae520fc89154429
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Tue Aug  6 16:17:55 2019 -0400
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Tue Aug  6 16:17:55 2019 -0400

    Merge pull request #5936 from hstastna/Unexpected_error_VM_cluster_get_rec_cls

    Get record class while performing operations on VMs of chosen Cluster

    (cherry picked from commit fcddf95f46f7a0430c37a825408433fcba3c2889)

    https://bugzilla.redhat.com/show_bug.cgi?id=1732370

 app/controllers/application_controller/ci_processing.rb | 2 +-
 spec/controllers/application_controller/ci_processing_spec.rb | 34 +
 2 files changed, 35 insertions(+), 1 deletion(-)

Comment 11 Ganesh Hubale 2019-08-21 09:41:29 UTC
Fixed!

Verified on version: 5.11.0.19.20190813184334_ed72c9f


Note You need to log in before you can comment on or make changes to this bug.